<template>
  <div>
    <div class="edit-container" v-if="open">
      <div class="edit-top">
        <div class="left-top">
          <img src="@/assets/images/back.png" @click="cancel()" />
          <div class="left-title"></div>
        </div>
        <div class="center-top">
        </div>
        <div class="right-top">
          <el-button @click="cancel()">{{ $t('form.close') }}</el-button>
        </div>
      </div>
      <div class="edit-content ">
        <div class="content">
          <!-- 1:流程；3：编辑；5：人员；7：修改；9：补充说明 -->
          <el-button type="primary" @click="exportExcel(-1)">{{ $t('page.business.study.studyFormPlan.dcqbjcgj') }}
          </el-button>
          <el-button type="primary" @click="exportExcel(1)">{{ $t('page.business.study.studyFormPlan.dclcjcgj') }}
          </el-button>
          <el-button type="primary" @click="exportExcel(3)">{{ $t('page.business.study.studyFormPlan.dcbjjcgj') }}
          </el-button>
          <el-button type="primary" @click="exportExcel(7)">{{ $t('page.business.study.studyFormPlan.dcxgjcgj') }}
          </el-button>
          <el-button type="primary" @click="exportExcel(999)">{{ $t('page.business.study.studyFormPlan.dcbhsjgj') }}
          </el-button>
          <TemplateTable ref="templateTable" :sn="form.templateSn" fillType="audit" :templateData="form" />
          <div class="content-title">
            <div class="line"></div>
            <div class="subtitle"> {{ $t('page.business.study.studyFormPlan.qmxx') }}</div>
          </div>
          <div class="pal">
            <el-table :data="qmxxList" v-loading="loadingQmxx">
              <el-table-column :label="$t('page.business.study.studyFormPlan.qmr')" align="center" prop="qmrMc"
                width="150px" />
              <el-table-column :label="$t('page.business.study.studyFormPlan.qmyy')" align="center"
                :prop="$i18n.locale === 'zh_CN' ? 'qmyy' : 'qmyyEn'" width="150px" />
              <el-table-column :label="$t('page.business.study.studyFormPlan.qmsj')" align="center" prop="createTime"
                width="150px" />
              <el-table-column :label="$t('page.business.study.studyFormPlan.bzyy')" align="center" prop="remark"
                :show-overflow-tooltip="true" />
            </el-table>
          </div>
          <div class="pal">
            <pagination v-show="totalQmxx > 0" :total="totalQmxx" :page.sync="queryParamsQmxx.pageNum"
              :limit.sync="queryParamsQmxx.pageSize" @pagination="getQmxxList" />
          </div>
          <div class="content-title">
            <div class="line"></div>
            <div class="subtitle"> {{ $t('page.business.study.studyFormPlan.jcgj') }}</div>
          </div>
          <JcgjList ref="jcgjList" @handleQuery="getJjcgjList" :showXg="true" />
          <pagination v-show="jcgjTotal > 0" small layout="prev, pager, next" :total="jcgjTotal"
            @pagination="getJjcgjList" />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { studyFormPlan_info, studyFormPlan_jcgj, studyFormPlan_qmxx, studyFormPlan_exportDetail } from "@/api/business/study/studyFormPlan"
import { mapGetters } from 'vuex'
import JcgjList from "@/views/business/comps/common/JcgjList";
import TemplateTable from '@/views/business/comps/template/TemplateTable';

export default {
  name: "Xq",
  components: { JcgjList, TemplateTable },
  data() {
    return {
      qmxxList: [],
      totalQmxx: 0,
      loadingQmxx: true,
      queryParamsQmxx: {
        formId: null,
        pageNum: 1,
        pageSize: 9999
      },
      open: false,
      showIndex: 1,
      form: {},
      rules: {
        bdmc: [{
          required: true,
          message: ' ',
          trigger: 'blur'
        }],
        templateId: [{
          required: true,
          message: ' ',
          trigger: 'blur'
        }]

      },
      jcgjTotal: 0,
      jcgjList: [],
      queryParamsJcgj: {
        pageNum: 1,
        formId: null,
        pageSize: 9999,
      }
    }
  },
  computed: {
    ...mapGetters([
      'nickName', 'name'
    ]),
  },
  created() {
  },
  methods: {
    exportExcel(jcgjlx) {
      this.$modal.loading()
      studyFormPlan_exportDetail(_.merge({}, this.queryParamsJcgj, { jcgjlx: jcgjlx, lang: this.$store.getters.language.split("_")[0] })).then(response => {
        window.open(process.env.VUE_APP_FILE_DOMAIN + response.msg)
      }).finally(() => {
        this.$modal.closeLoading()
      })
    },
    getJjcgjList(val) {
      this.$modal.loading()
      studyFormPlan_jcgj(_.merge({}, this.queryParamsJcgj, val)).then(response => {
        this.jcgjList = response.rows
        this.jcgjTotal = response.total
        this.$refs.jcgjList.init(this.jcgjList)
      }).finally(() => {
        this.$modal.closeLoading()
      })
    },
    getQmxxList() {
      this.loadingQmxx = true
      studyFormPlan_qmxx(this.queryParamsQmxx).then(response => {
        this.qmxxList = response.rows
        this.totalQmxx = response.total
        this.loadingQmxx = false
      })
    },
    cancel() {
      this.$emit('close')
      this.open = false
    },
    reset() {
      this.form = {
        id: null,
        studyId: null,
        bdbh: null,
        bdmc: null,
        bdsm: null,
        templateId: null,
        templateMc: null,
        bdnr: null
      }
      this.resetForm("form")
    },
    show(row) {
      this.reset()
      this.$modal.loading()
      this.queryParamsJcgj.formId = row.id
      this.queryParamsQmxx.formId = row.id
      studyFormPlan_info({ id: row.id }).then(response => {
        this.form = response.data
        this.getQmxxList()
        this.getJjcgjList()
        this.open = true
      }).finally(() => {
        this.$modal.closeLoading()
      })
    }
  }
}
</script>
